Subject: Re: [X2Go-Dev] Bug#35: On Debian systems (wheezy/sid): Menus in Libreoffice and some other applications are not rendered properly

From: Stefan Baur <[email-masked]>
Date: Fri, 21 Sep 2012 13:54:15 +0200

Am 21.09.2012 13:24, schrieb Mike Gabriel:
> Hi Stefan,
>
> On Fr 21 Sep 2012 13:17:07 CEST Stefan Baur wrote:
>
>> Am 21.09.2012 12:57, schrieb Mike Gabriel:
>>> 2. ROOTLESS SESSIONS
>>>
>>>   * Libreoffice (from wheezy/sid) does not have any text in the menus
>>> at all
>>
>> I can *not* confirm this - Libreoffice works fine here. Attaching
>> lists of installed packages, sources.list and debian version for
>> comparison. Feel free to request more info. Could it be a client-side
>> X-Server issue?
>>
>> ii  libnx-x11 2:3.5.0.14-0+wheezy~main~312~build1     i386         nx-X11
>> ii  nxagent 2:3.5.0.14-0+wheezy~main~312~build1     i386         NX agent
>
> Can you please test with x2goagent 3.5.0.15? It should be available in
> the main repos.

Now:

dpkg -l | grep nx
rc  freenx-media 0.7.3+teambzr104-0freenxteam1~intrepid1 i386 Remote 
desktop/application/thin-client server media support
ii  libnx-x11 2:3.5.0.15-0+wheezy~main~328~build1 i386 nx-X11
ii  nxagent 2:3.5.0.15-0+wheezy~main~328~build1 i386 NX agent

Same result, works fine for me, I can see all the menus in LibreOffice.

Could it be that your locale setting is somehow messed up?
I'm using LANG="de_DE.UTF-8" and I'm seeing all menus in German.

locale-gen
Generating locales (this might take a while)...
   de_DE.UTF-8... done
Generation complete.

> Only test on a non-production server, please.

Wheezy isn't stable yet, so it doesn't belong on a production server 
anyways.

-Stefan